org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class CoinTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.CoinTest

- Direct Known Subclasses:
    CoinTest.Traversals

      public abstract class CoinTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CoinTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoinTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_coinX0X()`
    `void` | `g_V_coinX1X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_coinX0X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_coinX1X()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoinTest

          public CoinTest()

  - ### Method Detail

    - #### get_g_V_coinX1X

          public abstract Traversal<Vertex,Vertex> get_g_V_coinX1X()

    - #### get_g_V_coinX0X

          public abstract Traversal<Vertex,Vertex> get_g_V_coinX0X()

    - #### g_V_coinX1X

          public void g_V_coinX1X()

    - #### g_V_coinX0X

          public void g_V_coinX0X()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.